Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 588642 - PORTAGE_BZIP2_COMMAND setting is invalid: 'bzip2'
Summary: PORTAGE_BZIP2_COMMAND setting is invalid: 'bzip2'
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Unclassified (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-12 05:45 UTC by hiyuh
Modified: 2018-05-12 18:44 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hiyuh 2016-07-12 05:45:38 UTC
I got following weird message on installing sys-devel/gcc-5.4.0,

 * Switching native-compiler to x86_64-pc-linux-gnu-5.3.0 ...PORTAGE_BZIP2_COMMAND setting is invalid: 'bzip2'
PORTAGE_BZIP2_COMMAND setting from make.globals is invalid: 'bzip2'

and gcc man pages look not being compressed by bzip2.

$ equery files =sys-devel/gcc-5.4.0 | grep -e 'man[17]'
/usr/share/gcc-data/x86_64-pc-linux-gnu/5.4.0/man/man1
/usr/share/gcc-data/x86_64-pc-linux-gnu/5.4.0/man/man1/cpp.1
/usr/share/gcc-data/x86_64-pc-linux-gnu/5.4.0/man/man1/g++.1
/usr/share/gcc-data/x86_64-pc-linux-gnu/5.4.0/man/man1/gcc.1
/usr/share/gcc-data/x86_64-pc-linux-gnu/5.4.0/man/man1/gcov.1
/usr/share/gcc-data/x86_64-pc-linux-gnu/5.4.0/man/man1/gfortran.1
/usr/share/gcc-data/x86_64-pc-linux-gnu/5.4.0/man/man7
/usr/share/gcc-data/x86_64-pc-linux-gnu/5.4.0/man/man7/fsf-funding.7
/usr/share/gcc-data/x86_64-pc-linux-gnu/5.4.0/man/man7/gfdl.7
/usr/share/gcc-data/x86_64-pc-linux-gnu/5.4.0/man/man7/gpl.7

it looks no effect even if i have PORTAGE_BZIP2_COMMAND="bzip2" in /etc/portage/make.conf or not.

this uncompressed man pages installation is really intentional?

Portage 2.3.0 (python 3.4.4-final-0, default/linux/amd64/13.0, gcc-5.3.0, glibc-2.23-r2, 4.6.2-gentoo x86_64)
=================================================================
System uname: Linux-4.6.2-gentoo-x86_64-Intel-R-_Core-TM-_i7-4702MQ_CPU_@_2.20GHz-with-gentoo-2.2
KiB Mem:    16309748 total,  12965776 free
KiB Swap:   33554428 total,  33554428 free
Timestamp of repository gentoo: Tue, 12 Jul 2016 00:30:01 +0000
sh bash 4.3_p42-r2
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
ccache version 3.2.5 [enabled]
app-shells/bash:          4.3_p42-r2::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.11-r2::gentoo, 3.4.4::gentoo
dev-util/ccache:          3.2.5::gentoo
dev-util/cmake:           3.5.2-r1::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.21::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 5.3.0::gentoo, 5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.6::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.iij.ad.jp/pub/linux/gentoo/ ftp://ftp.jaist.ac.jp/pub/Linux/Gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X aac acl alsa amd64 berkdb bzip2 cairo cjk cli cracklib crypt cxx dri egl fftw fontconfig fortran gdbm gif gstreamer iconv icu ipv6 jbig jpeg jpeg2k lzma lzo mmx mmxext modplug modules mp3 multilib ncurses nls nptl ogg opengl openmp pam pcre png readline savedconfig seccomp session sse sse2 ssl tcpd theora threads tiff truetype unicode vaapi vim-syntax vorbis xattr xcb xft xinerama xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 fma3 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" L10N="ja" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ja" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Zac Medico gentoo-dev 2016-07-15 16:39:01 UTC
It looks like gcc-config is calling env-update with the PATH variable unset, or something like that, which would explain why portage is complaining about being unable to locate the bzip2 binary. Maybe we should just suppress this message if the PATH variable is unset.
Comment 2 Zac Medico gentoo-dev 2016-07-15 16:43:53 UTC
Oh, I didn't notice that your manpages were not compressed. Does it make any difference if you set PORTAGE_BZIP2_COMMAND="/bin/bzip2" in make.conf?
Comment 3 Zac Medico gentoo-dev 2016-07-15 16:54:09 UTC
Can you verify that the bzip2 command is installed and that it works? Is it located at /bin/bzip2 as usual? Please post the output of bzip2 --help.
Comment 4 hiyuh 2016-07-28 01:49:23 UTC
> Does it make any difference if you set PORTAGE_BZIP2_COMMAND="/bin/bzip2" in make.conf?

if i have PORTAGE_BZIP2_COMMAND="/bin/bzip2" in make.conf, i got,

 * Switching native-compiler to x86_64-pc-linux-gnu-5.3.0 ...>>> Regenerating /etc/ld.so.cache...             [ ok ]

it looks unwanted invalid notice for bzip2 has gone.

but gcc man pages still look not being compressed by bzip2.

> Can you verify that the bzip2 command is installed and that it works?
> Is it located at /bin/bzip2 as usual?
> Please post the output of bzip2 --help.

my bzip2 is installed from official gentoo portage tree.
my bzip2 works w/o any problem.
my bzip2 is in /bin normally.
my bzip2 outputs help message normally.

$ emerge -ptv app-arch/bzip2

These are the packages that would be merged, in reverse order:

Calculating dependencies  ... done!
[ebuild   R    ] app-arch/bzip2-1.0.6-r7::gentoo  USE="-static -static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

$ equary belongs app-arch/bzip2
app-arch/bzip2-1.0.6-r7

$ for i in $(seq 0 1 1024) ; do echo $i ; done > test.txt ; sha1sum test.txt ; \
  bzip2 test.txt ; sha1sum test.txt.bz2 ;
  bunzip2 test.txt ; sha1sum test.txt
be284e938d5f008438ba50bd9900e379473e132c  test.txt
09edaeb8a38142ec719af9c4619eb55c4fb863cf  test.txt.bz2
be284e938d5f008438ba50bd9900e379473e132c  test.txt

$ which bzip2
/bin/bzip2

$ bzip2 --help
bzip2, a block-sorting file compressor.  Version 1.0.6, 6-Sept-2010.

   usage: bzip2 [flags and input files in any order]

   -h --help           print this message
   -d --decompress     force decompression
   -z --compress       force compression
   -k --keep           keep (don't delete) input files
   -f --force          overwrite existing output files
   -t --test           test compressed file integrity
   -c --stdout         output to standard out
   -q --quiet          suppress noncritical error messages
   -v --verbose        be verbose (a 2nd -v gives more)
   -L --license        display software version & license
   -V --version        display software version & license
   -s --small          use less memory (at most 2500k)
   -1 .. -9            set block size to 100k .. 900k
   --fast              alias for -1
   --best              alias for -9

   If invoked as `bzip2', default action is to compress.
              as `bunzip2',  default action is to decompress.
              as `bzcat', default action is to decompress to stdout.

   If no file names are given, bzip2 compresses or decompresses
   from standard input to standard output.  You can combine
   short flags, so `-v -4' means the same as -v4 or -4v, &c.
Comment 5 Francesco Turco 2016-09-02 16:13:42 UTC
I get the same error message when removing an older version of gcc from my system:

----------------

# emerge -C gcc:5.4.0
 * This action can remove important packages! In order to be safer, use
 * `emerge -pv --depclean <atom>` to check for reverse dependencies before
 * removing packages.

 sys-devel/gcc
    selected: 5.4.0 
   protected: none 
     omitted: 6.2.0 

All selected packages: =sys-devel/gcc-5.4.0

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

>>> Waiting 5 seconds before starting...
>>> (Control-C to abort)...
>>> Unmerging in: 5 4 3 2 1
>>> Unmerging (1 of 1) sys-devel/gcc-5.4.0...
 * Python seems to be broken, attempting to locate CHOST ourselves ...
 * Switching native-compiler to x86_64-pc-linux-gnu-6.2.0 ...PORTAGE_BZIP2_COMMAND setting is invalid: 'bzip2'
PORTAGE_BZIP2_COMMAND setting from make.globals is invalid: 'bzip2'
>>> Regenerating /etc/ld.so.cache...
             [ ok ]
 * Running 'fix_libtool_files.sh 5.4.0'
Scanning libtool files for hardcoded gcc library paths...
 *   [1/12] Scanning /lib ...
 *   [2/12] Scanning /usr/lib ...
 *   [3/12] Scanning /lib32 ...
 *   [4/12] Scanning /lib64 ...
 *   [5/12] Scanning /usr/games/lib ...
 *   [6/12] Scanning /usr/games/lib32 ...
 *   [7/12] Scanning /usr/games/lib64 ...
 *   [8/12] Scanning /usr/lib32 ...
 *   [9/12] Scanning /usr/lib64 ...
 *   [10/12] Scanning /usr/local/lib ...
 *   [11/12] Scanning /usr/local/lib32 ...
 *   [12/12] Scanning /usr/local/lib64 ...

 * GNU info directory index is up-to-date.

 * IMPORTANT: 7 config files in '/etc' need updating.
 * See the CONFIGURATION FILES and CONFIGURATION FILES UPDATE TOOLS
 * sections of the emerge man page to learn how to update config files.

--------------------------

app-arch/bzip2-1.0.6-r7 is installed. binary is located in /bin/bzip2. gcc man pages are not compressed despite PORTAGE_COMPRESS="xz" in my make.conf.

The following command lists no man page at all: equery files --filter=man gcc
Comment 6 Martin Mokrejš 2016-09-25 07:06:52 UTC
Same here when installing new gcc version.

>>> Installing (1 of 1) sys-devel/gcc-6.2.0-r1::gentoo
 * The current gcc config appears valid, so it will not be
 * automatically switched for you.  If you would like to
 * switch to the newly installed gcc version, do the
 * following:

 * gcc-config x86_64-pc-linux-gnu-6.2.0
 * source /etc/profile

 * Python seems to be broken, attempting to locate CHOST ourselves ...
 * Switching native-compiler to x86_64-pc-linux-gnu-5.4.0 ...PORTAGE_BZIP2_COMMAND setting is invalid: 'bzip2'
PORTAGE_BZIP2_COMMAND setting from make.globals is invalid: 'bzip2'
>>> Regenerating /etc/ld.so.cache...
             [ ok ]



# emerge --info
Portage 2.3.0 (python 2.7.11-final-0, default/linux/amd64/13.0, gcc-5.4.0, glibc-2.23-r2, 4.7.4-default-pciehp x86_64)
=================================================================
System uname: Linux-4.7.4-default-pciehp-x86_64-Intel-R-_Core-TM-_i7-2640M_CPU_@_2.80GHz-with-gentoo-2.3
KiB Mem:    16375976 total,   1323464 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sat, 24 Sep 2016 08:30:01 +0000
sh bash 4.3_p46
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p46::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.20.2-r1::gentoo
dev-lang/python:          2.7.11-r1::gentoo, 3.4.3-r7::gentoo, 3.5.1-r2::gentoo
dev-util/cmake:           3.6.1::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.21.7::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.12.6-r1::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.26.1::gentoo
sys-devel/gcc:            4.3.6-r1::gentoo, 4.4.7::gentoo, 4.6.4::gentoo, 4.7.4::gentoo, 4.8.5::gentoo, 4.9.3::gentoo, 5.3.0::gentoo, 5.4.0::gentoo, 6.2.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.6::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /scratch/usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

science
    location: /home/mmokrejs/proj/sci
    masters: gentoo
    priority: 0

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 1

layman
    location: /var/lib/layman
    masters: gentoo
    priority: 2

haskell
    location: /var/lib/layman/haskell
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1 sun-bcla-java-vm Oracle-BCLA-JavaSE IBM-J1.6 skype-eula Nero-EULA-US AdobeFlash-10.3 skype-4.0.0.7-copyright AdobeFlash-11.x OPERA-2014"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -maes -mpclmul -mpopcnt -mavx -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib64/libreoffice/program/sofficerc /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.2/conf /var/bind /var/lib/hsqldb /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -maes -mpclmul -mpopcnt -mavx -march=native"
DISTDIR="/scratch/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news noclean nostrip parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.wheel.sk/ http://ftp.fi.muni.cz/pub/linux/gentoo/ http://gentoo.mirror.web4u.cz/ rsync://gentoo.mirror.dkm.cz/gentoo/ ftp://gentoo.mirror.web4u.cz/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/scratch/var/tmp"
USE="X acpi alsa amd64 amr apache apache2 apulse avx berkdb bindist bluetooth boost bzip2 cairo cgi cli coin consolekit cracklib crypt cryptlib cups cxx dbus device-mapper dhcp directfb dri drm dvd emboss encode fax fbcon ffmpeg flac fontconfig fortran gbm gd gdbm geoip gimp glpk gnutls gpm gtk hal hpijs hwdb iconv id3tag imaging innodb java javafx javascript jce jpeg jpg js jscript keymap ladspa lapack laptop lcms libnotify lm_sensors mad matroska mmx mmxext modules mpi mpich2 multilib mysql ncurses nfs nls nptl nptlonly nscd nsplugin ntfsprogs ocr ogg opengl openmp pam parport pcre pdf perl php png policykit polkit ppds pppd python qt3support readline rendering resolvconf scanner seccomp server session slideshow sndfile sqlite sse sse2 sse3 sse4_1 sse4_2 ssl ssse3 suexec svg syslog tcl tcpd threads tiff tk truetype udev unicode usb v4l v4l2 vim-syntax vnc wavpack wifi x11 xattr xcb xml xorg xrandr xv xvid xvmc zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="alias authz_host auth_basic auth_digest cgi cgid deflate dir env filter include info mem_cache mime mime_magic negotiation remoteip setenvif status userdir vhost_alias rewrite usertrack cache file_cache disk_cache charset_lite log_config log_forensic" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" DRACUT_MODULES="crypt crypt-gpg" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" L10N="en_US en en_GB cs" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_US en_GB en cs" OFFICE_IMPLEMENTATION="libreoffice" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="vesa vmware fbdev intel i915 i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



# find /usr/share -name gcc.1*
/usr/share/gcc-data/x86_64-pc-linux-gnu/5.3.0/man/man1/gcc.1
/usr/share/gcc-data/x86_64-pc-linux-gnu/4.7.4/man/man1/gcc.1
/usr/share/gcc-data/x86_64-pc-linux-gnu/5.4.0/man/man1/gcc.1
/usr/share/gcc-data/x86_64-pc-linux-gnu/4.3.6/man/man1/gcc.1.bz2
/usr/share/gcc-data/x86_64-pc-linux-gnu/4.9.3/man/man1/gcc.1
/usr/share/gcc-data/x86_64-pc-linux-gnu/4.6.4/man/man1/gcc.1
/usr/share/gcc-data/x86_64-pc-linux-gnu/6.2.0/man/man1/gcc.1
/usr/share/gcc-data/x86_64-pc-linux-gnu/4.8.5/man/man1/gcc.1
/usr/share/gcc-data/x86_64-pc-linux-gnu/4.4.7/man/man1/gcc.1.bz2
#
Comment 7 Sergei Trofimovich (RETIRED) gentoo-dev 2018-04-18 21:34:02 UTC
Confirmed here in stable x86 chroot. Looks like prerequisites are to use
    $ env -i gcc-config ${CHOST}-${PV}
form of gcc-config:

sf / # env -i gcc-config i686-pc-linux-gnu-4.8.5
 * Python seems to be broken, attempting to locate CHOST ourselves ...
 * Switching native-compiler to i686-pc-linux-gnu-4.8.5 ...
PORTAGE_BZIP2_COMMAND setting is invalid: 'bzip2'
PORTAGE_BZIP2_COMMAND setting from make.globals is invalid: 'bzip2'
>>> Regenerating /etc/ld.so.cache...                                                                                                                         [ ok ]

sf / # env -i gcc-config i686-pc-linux-gnu-5.4.0
 * Python seems to be broken, attempting to locate CHOST ourselves ...
 * Switching native-compiler to i686-pc-linux-gnu-5.4.0 ...
PORTAGE_BZIP2_COMMAND setting is invalid: 'bzip2'
PORTAGE_BZIP2_COMMAND setting from make.globals is invalid: 'bzip2'
>>> Regenerating /etc/ld.so.cache...                                                                                                                         [ ok ]
Comment 8 Sergei Trofimovich (RETIRED) gentoo-dev 2018-04-18 21:35:29 UTC
Let's clarify the problem on gcc-config side first.
Comment 9 Sergei Trofimovich (RETIRED) gentoo-dev 2018-04-19 07:08:32 UTC
Even shorter reproducer:

sf / # env -i /usr/sbin/env-update
PORTAGE_BZIP2_COMMAND setting is invalid: 'bzip2'
PORTAGE_BZIP2_COMMAND setting from make.globals is invalid: 'bzip2'
>>> Regenerating /etc/ld.so.cache...
Comment 10 Zac Medico gentoo-dev 2018-04-19 07:15:40 UTC
(In reply to Sergei Trofimovich from comment #9)
> Even shorter reproducer:
> 
> sf / # env -i /usr/sbin/env-update
> PORTAGE_BZIP2_COMMAND setting is invalid: 'bzip2'
> PORTAGE_BZIP2_COMMAND setting from make.globals is invalid: 'bzip2'
> >>> Regenerating /etc/ld.so.cache...

I guess we can silence these warning messages when the PATH variable is unset. Is it really necessary for the caller too filter PATH from the environment?
Comment 11 Sergei Trofimovich (RETIRED) gentoo-dev 2018-04-19 18:55:21 UTC
(In reply to Zac Medico from comment #10)
> (In reply to Sergei Trofimovich from comment #9)
> > Even shorter reproducer:
> > 
> > sf / # env -i /usr/sbin/env-update
> > PORTAGE_BZIP2_COMMAND setting is invalid: 'bzip2'
> > PORTAGE_BZIP2_COMMAND setting from make.globals is invalid: 'bzip2'
> > >>> Regenerating /etc/ld.so.cache...
> 
> I guess we can silence these warning messages when the PATH variable is
> unset. Is it really necessary for the caller too filter PATH from the
> environment?

I think it's not necessary to unset the PATH (and is perhaps harmful). 

toolchain.eclass recently got rid of unsetting PATH:
    https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6526608cbdb8202bc69aaaedd19f773ef651862c

I'll make toolchain-binutils to do the same and will review other toolshain@ ebuilds.
Comment 12 Larry the Git Cow gentoo-dev 2018-05-12 18:44:28 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2ab5a08b47a00459873c6293bdf58834adcd427

commit f2ab5a08b47a00459873c6293bdf58834adcd427
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-05-12 18:42:08 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-05-12 18:44:22 +0000

    toolchain-binutils.eclass: don't purge environment for binutils-config
    
    Follow toolchain.eclass cleanup where gcc-config was broken due
    to missing PATH= assignment:
    https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6526608cbdb8202bc69aaaedd19f773ef651862c
    
    This change removes environment cleansing for binutils-config
    
    Reported-by: hiyuh
    Closes: https://bugs.gentoo.org/588642
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 eclass/toolchain-binutils.eclass | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e483e5f315c0377bf44f34fba4031ce3416e7d65

commit e483e5f315c0377bf44f34fba4031ce3416e7d65
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-05-12 18:41:54 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-05-12 18:44:22 +0000

    sys-devel/binutils-hppa64: don't purge environment for binutils-config
    
    Follow toolchain.eclass cleanup where gcc-config was broken due
    to missing PATH= assignment:
    https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6526608cbdb8202bc69aaaedd19f773ef651862c
    
    This change removes environment cleansing for binutils-config
    
    Reported-by: hiyuh
    Bug: https://bugs.gentoo.org/588642
    Package-Manager: Portage-2.3.36, Repoman-2.3.9

 sys-devel/binutils-hppa64/binutils-hppa64-2.30-r2.ebuild | 2 +-
 sys-devel/binutils-hppa64/binutils-hppa64-2.30.ebuild    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ab0a9c9d3005a7a0415e30c6ee379fc25485090

commit 0ab0a9c9d3005a7a0415e30c6ee379fc25485090
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-05-12 18:41:29 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-05-12 18:44:21 +0000

    sys-devel/binutils: don't purge environment for binutils-config
    
    Follow toolchain.eclass cleanup where gcc-config was broken due
    to missing PATH= assignment:
    https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6526608cbdb8202bc69aaaedd19f773ef651862c
    
    This change removes environment cleansing for binutils-config
    
    Reported-by: hiyuh
    Bug: https://bugs.gentoo.org/588642
    Package-Manager: Portage-2.3.36, Repoman-2.3.9

 sys-devel/binutils/binutils-2.30-r1.ebuild | 2 +-
 sys-devel/binutils/binutils-2.30-r2.ebuild | 2 +-
 sys-devel/binutils/binutils-2.30.ebuild    | 2 +-
 sys-devel/binutils/binutils-9999.ebuild    | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)